Take a look at our
ThinkPads.com HOME PAGE
For those who might want to contribute to the blog, start here: Editors Alley Topic
Then contact Bill with a Private Message

Debian do you also experience these pbs ?

Linux on ThinkPads
Post Reply
Message
Author
nogolem
Posts: 7
Joined: Mon Nov 25, 2019 2:19 pm
Location: Paris, France

Debian do you also experience these pbs ?

#1 Post by nogolem » Tue Feb 16, 2021 12:07 pm

Hey all !
this is my pb:


sudo dmesg | grep *ERROR*
[sudo] Mot de passe de nogolem :
[ 4.788421] i915 0000:00:02.0: [drm] *ERROR* uncleared fifo underrun on pipe A
[ 4.788424] i915 0000:00:02.0: [drm] *ERROR* CPU pipe A FIFO underrun
[ 4.789599] i915 0000:00:02.0: [drm] *ERROR* uncleared pch fifo underrun on pch transcoder A
[ 4.789601] i915 0000:00:02.0: [drm] *ERROR* PCH transcoder A FIFO underrun

It is a Thinkpad X230 16GB ram running Kali Linux (debian), despite it is updated to the latest, I still have these annoying *ERROR* messages at boot...
Any help would be vastly appreciated....

Thx a lot
^^

axur-delmeria
Senior ThinkPadder
Senior ThinkPadder
Posts: 3134
Joined: Mon May 28, 2012 5:49 am
Location: Metro Manila, Philippines

Re: Debian do you also experience these pbs ?

#2 Post by axur-delmeria » Tue Feb 16, 2021 8:21 pm

Does it cause any issues?

BTW, what kernel version are you running?
Daily driver: X220 4291-C91 i7-2620M

Backup: X601 Core 2 Duo T8100
Toy: X60F Core Solo U1300
On loan: X220 4291-P79 i5-2520M
In pieces: two retired but working X61Ts
RIP: 760XD 9546-U9E; X61 7676-A24; and a BOE-Hydis HV121P01-100 in failed SXGA+ mod
:cry:

TRS-80
Sophomore Member
Posts: 212
Joined: Tue Feb 11, 2014 3:00 pm
Location: Eastern, USA
Contact:

Re: Debian do you also experience these pbs ?

#3 Post by TRS-80 » Thu Feb 18, 2021 3:52 pm

nogolem wrote:
Tue Feb 16, 2021 12:07 pm
Kali Linux
Is there some specific reason that requires you to use meme distro instead of more mainline / standard Debian [-based] one?
All good things are Wild and Free.

What is free software and why is it so important for society?

(2022) Actively on the lookout for for 15" T60 FlexView / Hydis LED displays and parts, for my own usage. Kindly PM me your demands if you are willing to part with anything. :D

Dekks
Senior Member
Senior Member
Posts: 578
Joined: Thu Jun 26, 2014 9:38 am
Location: Birmingham, UK

Re: Debian do you also experience these pbs ?

#4 Post by Dekks » Mon Feb 22, 2021 1:18 am

Its the intel gfx driver from what variant i've seen on my old uns.
Home - Win 10 MSi GF63 Gaming Laptop /Arch GNOME 3/X230 Tablet /X61 [Korean] - Debian 10/T60p - Ubuntu 20.10 Helix 2
Work - Win10/Thinkpad X1 Tablet Gen 2

skx
Sophomore Member
Posts: 227
Joined: Mon Jul 09, 2018 6:25 pm
Location: Colombia

Re: Debian do you also experience these pbs ?

#5 Post by skx » Mon Feb 22, 2021 3:18 pm

TRS-80 wrote:
Thu Feb 18, 2021 3:52 pm
nogolem wrote:
Tue Feb 16, 2021 12:07 pm
Kali Linux
Is there some specific reason that requires you to use meme distro instead of more mainline / standard Debian [-based] one?
he is a l33t h@xxor just struggling to get debian running on x230 :mrgreen:

j/k i agree, run normal debian, x230 is 110% supported without any special customization needs
ThinkPad X220: i5-2520M CPU 2.5GHz - 8GB RAM 1333 MHz - SSD 860 EVO 250GB - Debian - ME_cleaned
ThinkPad X230: i5-3320M CPU 3.3GHz - 8GB RAM 1600 MHz - SSD 860 EVO 500GB - Debian - ME_cleaned

josh5k
Freshman Member
Posts: 59
Joined: Fri Mar 01, 2013 8:46 am
Location: Bangalore, India

Re: Debian do you also experience these pbs ?

#6 Post by josh5k » Mon Feb 22, 2021 10:31 pm

The i915 is the Linux driver for Intel chipsets.

Unfortunately that set of error messages are quite generic errors on all sorts of display driver or adapter issues.

Have you tried running any other Live ROM distro through USB to see if the same kind of errors occur? There are a few workarounds to having the messages disappear but to identify the fix, you'll have to isolate and identify the precise root cause of the issue. It could even possibly be a hardware issue and running it off another clean booting ROM could help with the identification of the cause.

Also do you really need to run Kali as your daily driver? It's such a specific cause based distribution that troubleshooting more mundane situations can be made more difficult than it need be.

I do run Kali Linux on a T430 and I've not had any similar errors, and I didn't get any such errors on my X230i when live booting off the kali-linux-2020.4-live-amd64.iso. So could be a one-off on your machine.
On the Move/b] - X230 - (2324-E41) i3 2370M, 12GB RAM, 1 TB HDD, 1366x768

Workstation - W541 - (20EG) i7 4810QM, 16GB RAM, 240GB SSD, 1980x1080

Daily Driver - Linux - T430 - (2349-7N7) i5 3320M, 8GB RAM, 256GB SSD, 1600x900

Backup - T420s - (4170-RM4) i5 2520M, 12GB RAM, 128GB SSD, 1600x900

nogolem
Posts: 7
Joined: Mon Nov 25, 2019 2:19 pm
Location: Paris, France

Re: Debian do you also experience these pbs ?

#7 Post by nogolem » Fri Nov 26, 2021 7:54 am

skx wrote:
Mon Feb 22, 2021 3:18 pm
TRS-80 wrote:
Thu Feb 18, 2021 3:52 pm


Is there some specific reason that requires you to use meme distro instead of more mainline / standard Debian [-based] one?
he is a l33t h@xxor just struggling to get debian running on x230 :mrgreen:

j/k i agree, run normal debian, x230 is 110% supported without any special customization needs
Hey normies, don't you feel useless sometimes ?
Maybe you just feel the need to talk to someone ?

did I ever ask your opinion about what linux flavour to choose for my purpose ?

If I want to install a yellow dog linux on a PPC 604 Macintosh performa 7600, I just do not ask you if I should or not.
if I want to install 14 floppies to run slackware 1.1 on a 486, I do not ask you ...
If I want to run a single floppy coyote linux just to play with ip masquerading on an old pc I don't need your advice neither.
if I need to use tools offered by Kali, I won't ask you if you allow me...
if I want to flash a specific flavor of free bsd on my router I won't ask you neither ...

if I need a "normal" debian, I do not use a "normal" Debian since "normal" Fedora is my "daily driver"...
josh5k ;-)

I met this pb with a previous version of Kali, Yes Dekks it was the I915 support indeed, but no big deal since the tools I needed worked as intented...
thanx anyway axur-delmeria, Dekks, josh5k, for not giving lessons but for trying to help...

Post Reply
  • Similar Topics
    Replies
    Views
    Last post

Return to “Linux Questions”

Who is online

Users browsing this forum: No registered users and 11 guests